;
;   Show Mini Sample by Pavlushin Evgeni for ASCL
;   Load bmp image from hd and show with macros
;   www.waptap@mail.ru
;


;******************************************************************************
    use32
    org    0x0
    db     'MENUET01'              ; 8 byte id
    dd     0x01                    ; header version
    dd     START                   ; start of code
    dd     IM_END                  ; size of image
    dd     0x80000                 ; memory for app
    dd     0x80000                 ; esp
    dd     temp_area , 0x0         ; I_Param , I_Icon

;******************************************************************************


include 'ascl.inc'
include 'ascgl.inc'

START:                          ; start of execution
    call draw_window
    loadbmp '/hd/1/meos/ascl8/pict256.bmp',temp_area,I_END,tsoi
    setbmp 5,22,I_END,dword [tsoi]
    label 8,70,'ASSEMBLER SMALL CODE LIBARY',cl_White+font_Big
    label 8,85,'The Revolution in Programming',cl_Blue+font_Big
    label 8,100,'       Move window!!!         ',cl_Red+font_Big


still:
    timeevent 10,no_event,red,key,button
  no_event:
    jmp  still

  red:
    call draw_window
    setbmp  5,22,I_END,dword [tsoi]
    label 8,70, 'ASSEMBLER SMALL CODE LIBARY',cl_White+font_Big
    label 8,85,'  Create By Pavlushin Evgeni  ',cl_Blue+font_Big
    label 8,100,'     www.waptap@mail.ru       ',cl_Red+font_Big
    jmp still

  key:                          ; key
    int  0x40                   ; read (eax=2)
    jmp  still

  button:                       ; button
    mov  eax,17                 ; get id
    int  0x40
    cmp  ah,1                   ; button id=1 ?
    jne  noclose
    mov  eax,-1                 ; close this program
    int  0x40
  noclose:
    jmp  still


draw_window:
    startwd
    window 40,40,(209+9),(134+26),window_Skinned+0x00ffffff
    label 12,8,'ASCL LOAD&SHOW PICTURE',cl_White+font_Big
    endwd
    ret

; DATA AREA
xt dd 100
yt dd 100
counter dd 0
tsoi dd 0
view dd 0
IM_END:
temp_area:
rb 0x30000
I_END:
